aboutsummaryrefslogtreecommitdiffstats
path: root/packages/0x.js/scripts/test_umd.sh
diff options
context:
space:
mode:
Diffstat (limited to 'packages/0x.js/scripts/test_umd.sh')
-rwxr-xr-xpackages/0x.js/scripts/test_umd.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/packages/0x.js/scripts/test_umd.sh b/packages/0x.js/scripts/test_umd.sh
new file mode 100755
index 000000000..d200c76d0
--- /dev/null
+++ b/packages/0x.js/scripts/test_umd.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# This script runs umd tests and cleans up after them while preserving the `return_code` for CI
+# UMD tests should only be run after building the commonjs because they reuse some of the commonjs build artifacts
+run-s substitute_umd_bundle run_mocha
+return_code=$?
+npm run clean
+exit $return_code